## com.saxonica.stream.watch
Class NextMatchWatch

    java.lang.Object
      com.saxonica.validate.AbstractWatch
          com.saxonica.stream.watch.EventPushingWatch
              com.saxonica.stream.watch.ApplyTemplatesWatch
                  com.saxonica.stream.watch.NextMatchWatch

All Implemented Interfaces:
  Watch

    public class NextMatchWatch

extends ApplyTemplatesWatch

Watch for an xsl:next-match instruction. This doesn't really need to be a Watch, because it always processes the context node; but it means we can reuse a lot of code from the ApplyTemplatesWatch

Constructor Summary
`NextMatchWatch(Expression expression, SequenceReceiver result, Stack<XPathContext> contextStack)`

Method Summary
`protected Rule` `getRule(FleetingNode node)` Get the template rule matching a specific node

Methods inherited from class com.saxonica.stream.watch.ApplyTemplatesWatch
`close, computeActualParams, computeTunnelParams, endSelectedParentNode, getLocalContext, getMode, notifySelectedLeafNode, open, setActualParams, setMode, setTunnelParams, setWatchManager, startSelectedParentNode`

Methods inherited from class com.saxonica.stream.watch.EventPushingWatch
`getContext, getContextStack, getExpression, getResult, setParentExpressionFeed, setResult`

Methods inherited from class com.saxonica.validate.AbstractWatch
`getAnchorNode, getNamespaceResolver, getPipelineConfiguration, getSelection, setAnchorNode, setNamespaceResolver, setPipelineConfiguration, setSelection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NextMatchWatch

    public NextMatchWatch(Expression expression,
                          SequenceReceiver result,
                          Stack<XPathContext> contextStack)
                   throws XPathException

Throws:
  `XPathException`

Method Detail

### getRule

    protected Rule getRule(FleetingNode node)
                    throws XPathException

  Description copied from class: `ApplyTemplatesWatch`
  Get the template rule matching a specific node

  Overrides:
    `getRule` in class `ApplyTemplatesWatch`
  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.